html {
    margin: 0;
    padding: 0;
    overflow-x: hidden;
}

body {
    font-family: "Plus Jakarta Sans", serif;
    overflow-x: hidden;
}

.font-w1 {
    font-weight: 100;
}

.font-w2 {
    font-weight: 200;
}

.font-w3 {
    font-weight: 300;
}

.font-w4 {
    font-weight: 400;
}

.font-w5 {
    font-weight: 500;
}

.font-w6 {
    font-weight: 600;
}

.font-w7 {
    font-weight: 700;
}

.font-w8 {
    font-weight: 800;
}

.font-w9 {
    font-weight: 900;
}

.font-14 {
    font-size: 14px;
}

.font-16 {
    font-size: 16px;
}

.font-18 {
    font-size: 18px;
}

.font-20 {
    font-size: 20px;
}

.font-24 {
    font-size: 24px;
}

.font-30 {
    font-size: 30px;
}

.font-36 {
    font-size: 36px;
}

.font-48 {
    font-size: 48px;
}

.font-60 {
    font-size: 60px;
}

.padd-y {
    padding: 80px 0px;
}

.py-40 {
    padding: 40px 0px;
}

.pb-24 {
    padding-bottom: 24px;
}

.line-heigth {
    line-height: 28.8px;
}

.muted-blue {
    color: #1E293B;
}

.grayish-blue {
    color: #475569;
}

.Soft-blue {
    color: #4F46E5;
}

.rock-blue {
    color: #94A3B8;
}

.list-style-none {
    list-style: none;
}

.gp-20 {
    gap: 20px;
}

.gp-24 {
    gap: 24px;
}

.gp-12 {
    gap: 12px;
}

.py-24 {
    padding: 24px 0px;
}

.py-48 {
    padding: 48px 0px;
}

.devider {
    border: 1px solid #CBD5E1;
}

.pb-80 {
    padding-bottom: 80px;
}

.pb-64 {
    padding-bottom: 64px;
}

.py-96 {
    padding: 96px 0px;
}

.nav-link {
    font-weight: 700;
    font-size: 16px;
    line-height: 22px;
    letter-spacing: -0.7%;
    color: #475569;
    margin-right: 15px;
}

/* .main {
    background: linear-gradient(180deg, #e6f0ff 20%, #a6bdf0 50%, #2d6bda 100%);
    background: linear-gradient(160deg, #D9D9D9 0%, #9FD1F6 34%, #529EEA 77%, #2863D9 100%);
} */

.banner-section-one-wapper {
    padding-top: 50px;
    /* background: linear-gradient(160deg, #D9D9D9 0%, #9FD1F6 34%, #529EEA 77%, #2863D9 100%); */
    background-image: url(./images/Hero\ Section.png);
    background-repeat: no-repeat;
    background-position: center;
    background-size: 100% 100%;
}

.banner-img {
    width: 100%;
    height: auto;
    overflow: hidden;
}

.banner-img img {
    width: 100%;
    height: auto;
    object-fit: contain;
    object-position: center;
}

.image-responsive {
    width: 100%;
    height: auto;
    overflow: hidden;
}

.image-responsive img {
    width: 100%;
    height: auto;
    object-fit: contain;
    object-position: center;
}

.border-r {
    border-radius: 50px;
}

.border-24 {
    border-radius: 24px;
}

.banner-title {
    font-weight: 800;
    font-size: 60px;
    line-height: 68px;
    max-width: 600px;
    color: #1E293B;
    margin-bottom: 20px;
}

.banner-para {
    font-weight: 400;
    font-size: 24px;
    line-height: 38.4px;
    letter-spacing: 0%;
    color: #475569;
    max-width: 600px;
    margin-bottom: 80px;
}

.btn-sign-up {
    background: #4F46E5;
    color: #fff;
    font-weight: 700;
    font-size: 18px;
    line-height: 24px;
    letter-spacing: -0.8%;
    text-decoration: none;
    padding: 16px 24px;
    border-radius: 50px;
}

.social-icon {
    margin-top: 80px;
}

.banner-section-two-wapper {
    padding: 96px 0px;
}

.testimonial-title {
    max-width: 1100px;
    width: 100%;
    margin: auto;
    text-align: center;
}

.banner-section-three-wapper {
    margin-top: 150px;
    padding-bottom: 100px;
}

.banner-section-four-wapper {
    background: #EEF2FF;
    padding: 64px 0px;
}

.chapter-para {
    max-width: 800px;
    margin: auto;
}

.footer-nav {
    list-style: none;
    display: flex;
    justify-content: center;
    padding-left: 0 !important;
    align-items: center;
    flex-wrap: wrap;
}

.banner-section-first-wapper {
    padding: 56px 0px;
}

.start-bg-img {
    background-image: url(./images/start-img.jpg);
    background-size: 100%;
    height: 518px;
    background-position: center;
    background-repeat: no-repeat;
}

.banner-section-third-wapper {
    padding: 80px 0px;
}

.mx-60 {
    max-width: 60%;
}

.chapter-section {
    border-left: 4px solid #4F46E5;
}

.chapter-section2 {
    border-left: 4px solid #E0E7FF;
}

.banner-contact-wapper {
    padding: 100px 0px;
    background-color: #EEF2FF;
}

.form-container {
    width: 100%;
    max-width: 472px;
    padding: 20px;
    margin: auto;
}

.form-group {
    margin-bottom: 20px;
    position: relative;
}

.form-group label {
    display: block;
    font-size: 14px;
    margin-bottom: 8px;
    font-weight: 700;
    color: #1E293B;
}

.input-wrapper {
    position: relative;
}

.input-wrapper input,
.input-wrapper textarea {
    width: 100%;
    padding: 12px;
    padding-left: 40px;
    border: 1px solid #CBD5E1;
    border-radius: 50px;
    font-size: 14px;
    outline: none;
}

.input-wrapper textarea {
    border-radius: 24px !important;
    min-height: 120px;
    resize: vertical;
    position: relative;
    padding: 8px !important;
}


.input-wrapper i {
    position: absolute;
    left: 12px;
    top: 50%;
    transform: translateY(-50%);
    color: #64748b;
}

.search-input input {
    padding-left: 15px !important;
}

.search-input i {
    position: absolute;
    right: 12px !important;
    left: auto !important;
    top: 50%;
    transform: translateY(-50%);
    color: #64748b;
}

.char-count {
    position: absolute;
    text-align: right;
    font-size: 12px;
    color: #64748b;
    margin-top: 4px;
    bottom: 15px;
    left: 15px;
}

.submit-btn {
    width: 100%;
    padding: 12px;
    background-color: #4f46e5;
    color: white;
    border: none;
    border-radius: 50px;
    font-size: 16px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    font-weight: 700;
}

.submit-btn i {
    font-size: 18px;
}

.btn-outline-signup {
    border: 1px solid #CBD5E1;
    padding: 10px 18px;
    border-radius: 50px;
    text-decoration: none;
    color: #475569;
    font-size: 16px;
    font-weight: 700;
}

.btn-Login {
    padding: 10px 20px;
    border-radius: 50px;
    text-decoration: none;
    font-size: 16px;
    font-weight: 700;
    background: #4F46E5;
    color: #fff;
}

.list-group-numbered {
    list-style-type: decimal;
}

/* .code-at-home-content {
    padding: 0px 72px;
} */

.banner-game-wapper {
    /* background: linear-gradient(160deg, #D9D9D9 0%, #9FD1F6 34%, #529EEA 77%, #2863D9 100%); */
    background-image: url(./images/Hero\ Section.png);
    background-repeat: no-repeat;
    background-position: center;
    background-size: 100% 100%;
}

.code-at-home {
    background-color: #fff;
    box-shadow: 0px 12px 16px -4px #10182814;
    border-radius: 32px;
}

.Learn-More-btn {
    background: #4F46E5;
    font-family: Plus Jakarta Sans;
    font-weight: 700;
    font-size: 14px;
    line-height: 20px;
    color: #fff;
    text-decoration: none;
    padding: 10px 18px;
    border-radius: 50px;
}

.bottom-b {
    border-bottom: 1px solid #E2E8F0;
}

.text-lable {
    border: 1px solid #CBD5E1;
    max-width: max-content;
    padding: 4px 10px;
    border-radius: 50px;
}

.email-card {
    background-color: #fff;
    max-width: 336px;
    padding: 24px;
    border-radius: 16px;
    display: flex;
    flex-direction: column;
    gap: 24px;
}

.step-container {
    display: flex;
    flex-wrap: wrap;
    gap: 40px 60px;
    justify-content: space-between;
    max-width: 700px;
    margin: auto;
}

.step {
    display: flex;
    align-items: center;
    flex: 0 0 calc(50% - 30px);
    /* Two columns */
    gap: 12px;
}

.join-btn {
    background: #EEF2FF;
    padding: 16px 24px;
    text-decoration: none;
    display: flex;
    align-items: center;
    width: 214px;
    justify-content: center;
    border-radius: 50px;
    color: #4F46E5;
    font-size: 18px;
    font-weight: 700;
}

.create-a-game-content {
    background-color: #fff;
    border-radius: 48px;
    padding: 32px;
}

.game-tag {
    background-color: #EEF2FF;
    padding: 6px 12px;
    max-width: max-content;
    border-radius: 50px;
    font-size: 14px;
    font-weight: 600;
    color: #4F46E5;
}

.banner-step-wrapper {
    padding: 48px 0px;
}


.step-number {
    font-size: 24px;
    font-weight: bold;
    margin-right: 8px;
    color: #1c1c1c;
}


.code-block {
    background-color: #EFF6FF;
    border-radius: 32px;
    padding: 32px;
    margin: 20px 0;
}

.code-block ul li::marker {
    color: #15803D;
    font-size: 22px;
}

.code-block li {
    margin-bottom: 15px;
    font-size: 18px;
    line-height: 1.6;
    color: #475569;
}

.green {
    color: #15803D;
    font-weight: 800;
    font-size: 24px;
}

.game-step {
    padding-bottom: 24px;
}

.game-step h2 {
    font-weight: 800;
    font-size: 30px;
    color: #1E293B;
    padding-bottom: 24px;
}

.game-step p {
    font-weight: 400;
    font-size: 18px;
    color: #475569;
    padding-bottom: 24px;
}

.main-points {
    list-style-type: disc;
    padding-left: 18px;
    font-weight: 400;
    margin-bottom: 24px;
    color: #475569;
}

.main-points li {
    margin-bottom: 24px;
}

.debug-tips {
    list-style-type: decimal;
    padding-left: 18px;
    font-weight: 800;
    color: #475569;
}

.debug-tips ul {
    list-style-type: circle;
    padding-left: 20px;
    margin-top: 10px;
    font-weight: 400;
}

.debug-tips li {
    font-size: 18px;
    font-weight: 400;
    margin-bottom: 24px;
}

.next-steps-box {
    background-color: #EFF6FF;
    padding: 32px;
    border-radius: 24px;
    margin: auto;
}

.next-steps-header {
    display: flex;
    align-items: center;
    font-weight: 800;
    font-size: 30px;
    color: #1E3A8A;
    /* Deep blue */
    margin-bottom: 24px;
}

.next-steps-header .icon {
    margin-right: 8px;
    font-size: 20px;
}

.description {
    font-size: 18px;
    color: #475569;
    margin: 0;
    font-weight: 400;
    line-height: 1.6;
}

.button-content {
    position: relative;
}

.link-game {
    border: 1px solid #FFFFFF;
    backdrop-filter: blur(32px);
    background: #4F46E5;
    color: #fff;
    padding: 16px 24px;
    font-weight: 700;
    font-size: 18px;
    border-radius: 50px;
    position: absolute;
    bottom: 0px;
    right: 0;
    margin: 25px;
}

/* media quary */

@media (max-width: 1024px) {
    .start-bg-img {
        height: 400px;
        background-position-y: -250px;
    }
}

/* Adjustments for mobile devices */
@media (max-width: 768px) {
    .start-bg-img {
        height: 300px;
        background-size: cover;
        background-position-y: center;
    }

    .banner-section-two-wapper {
        margin-top: 50px;
    }

    .banner-section-three-wapper {
        margin-top: 50px;
        padding-bottom: 100px;
    }

    .padd-y {
        padding: 30px 0px;
    }
}

/* Adjustments for smaller screens */
@media (max-width: 480px) {
    .start-bg-img {
        height: 250px;
        background-size: cover;
        background-position: center;
    }

    .banner-section-two-wapper {
        margin-top: 50px;
    }

    .banner-section-three-wapper {
        margin-top: 50px;
        padding-bottom: 100px;
    }
}

@media (max-width: 600px) {
    .step {
        flex: 0 0 100%;
        /* Full width on mobile */
    }
}